import { Component, OnInit, ViewChild  } from '@angular/core';
import { IgxCategoryChartComponent } from "igniteui-angular-charts/ES5/igx-category-chart-component";
import { IgxLegendComponent } from "igniteui-angular-charts/ES5/igx-legend-component";

@Component({
  selector: 'app-category-chart',
  templateUrl: './category-chart.component.html',
  styleUrls: ['./category-chart.component.css']
})
export class CategoryChartComponent implements OnInit {

  @ViewChild("chart")
  public chart: IgxCategoryChartComponent;
  @ViewChild("legend")
  public legend: IgxLegendComponent;
  public data: any;

  constructor() {
    const usaMedals: any = [
      { Year: "1996", UnitedStates: 148 },
      { Year: "2000", UnitedStates: 142 },
      { Year: "2004", UnitedStates: 134 },
      { Year: "2008", UnitedStates: 131 },
      { Year: "2012", UnitedStates: 135 },
      { Year: "2016", UnitedStates: 146 }
  ];
  const chinaMedals: any = [
      { Year: "1996", China: 110 },
      { Year: "2000", China: 115 },
      { Year: "2004", China: 121 },
      { Year: "2008", China: 129 },
      { Year: "2012", China: 115 },
      { Year: "2016", China: 112 }
  ];
  const russiaMedals: any = [
      { Year: "1996", Russia: 95 },
      { Year: "2000", Russia: 91 },
      { Year: "2004", Russia: 86 },
      { Year: "2008", Russia: 65 },
      { Year: "2012", Russia: 77 },
      { Year: "2016", Russia: 88 }
  ];
  this.data = [ usaMedals, chinaMedals, russiaMedals ];
   }

  ngOnInit() {
    this.chart.legend = this.legend;
  }

}
